This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 547294 - NetworkManager doesn't properly recognize/configure CDMA (part of) USB modem "AnyDATA ADU-635WH"
NetworkManager doesn't properly recognize/configure CDMA (part of) USB modem ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-14 05:09 EST by Miroslav Pragl
Modified: 2010-02-26 09:21 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.3-1.git20100119.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-05 19:07:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miroslav Pragl 2009-12-14 05:09:47 EST
Description of problem:
NetworkManager doesn't properly recognize/configure CDMA (part of) USB modem "AnyDATA ADU-635WH" (idVendor=16d5, idProduct=6502, 

Version-Release number of selected component (if applicable):
NetworkManager-0.7.996-7.git20091113.fc12.x86_64


How reproducible:
try to dial CDMA (#777) number. The error occurs even before dialing


Steps to Reproduce:
1. as above
  
Actual results:
not connecting. not even trying


Expected results:


Additional info:
log:
Dec 14 11:07:19 mirek-nb modem-manager: (ttyUSB0) opening serial device...
Dec 14 11:07:19 mirek-nb modem-manager: Your CDMA modem does not support +CMEE command
Comment 1 Dan Williams 2009-12-14 17:59:10 EST
Please do the following, as root:

1) service NetworkManager stop
2) killall -TERM modem-manager
3) modem-manager --debug
4) service NetworkManager start  (in a new terminal)
5) attempt to use your modem as normal

Then paste the modem-manager debug log in here.  Thanks!
Comment 2 Miroslav Pragl 2009-12-15 09:00:56 EST
# modem-manager --debug
** Message: Loaded plugin Option
** Message: Loaded plugin ZTE
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Huawei
** Message: Loaded plugin Gobi
** Message: Loaded plugin Generic
** Message: Loaded plugin Sierra
** Message: Loaded plugin Nokia
** Message: Loaded plugin Novatel
** Message: Loaded plugin MotoC
** Message: Loaded plugin Option High-Speed
** Message: (ttyUSB2) opening serial device...
** (modem-manager:2390): DEBUG: (ttyUSB2): probe requested by plugin 'Generic'
** Message: (ttyUSB1) opening serial device...
** (modem-manager:2390): DEBUG: (ttyUSB1): probe requested by plugin 'Generic'
** Message: (ttyUSB0) opening serial device...
** (modem-manager:2390): DEBUG: (ttyUSB0): probe requested by plugin 'Generic'
** (modem-manager:2390): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** Message: (ttyUSB3) opening serial device...
** (modem-manager:2390): DEBUG: (ttyUSB3): probe requested by plugin 'Generic'
** Message: (ttyUSB4) opening serial device...
** (modem-manager:2390): DEBUG: (ttyUSB4): probe requested by plugin 'Generic'
** Message: (ttyUSB5) opening serial device...
** (modem-manager:2390): DEBUG: (ttyUSB5): probe requested by plugin 'Generic'
** (modem-manager:2390): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB3): --> 'AT+GCAP<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB4): --> 'AT+GCAP<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB5): --> 'AT+GCAP<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB3): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM,+FCLASS,+DS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB0) closing serial device...
** Message: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2.1 claimed port ttyUSB0
** (modem-manager:2390): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2.1
** (modem-manager:2390): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2.1 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:2390): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** Message: (ttyUSB3) closing serial device...
** (modem-manager:2390): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** Message: (Generic): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2.2 claimed port ttyUSB3
** (modem-manager:2390): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2.2
** (modem-manager:2390): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2.2 as /org/freedesktop/ModemManager/Modems/1
** (modem-manager:2390): DEBUG: (ttyUSB4): --> 'AT+GCAP<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB5): --> 'AT+GCAP<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB4): --> 'AT+GCAP<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB5): --> 'AT+GCAP<CR>'
** Message: (ttyUSB2) closing serial device...
** Message: (ttyUSB1) closing serial device...
** Message: (ttyUSB4) closing serial device...
** Message: (ttyUSB5) closing serial device...
** Message: (ttyUSB0) opening serial device...
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2390): DEBUG: Got failure code 100: Unknown error

** (modem-manager:2390): WARNING **: Your CDMA modem does not support +CMEE command
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2390): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2390): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB0) closing serial device...
Comment 3 Miroslav Pragl 2009-12-15 09:41:14 EST
P.S. Unfortunately the log is from area with NO CDMA COVERAGE, please consider this.
Comment 4 Miroslav Pragl 2009-12-16 04:44:36 EST
Adding debug info from place with decent coverage.

# modem-manager --debug
** Message: Loaded plugin Option
** Message: Loaded plugin ZTE
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Huawei
** Message: Loaded plugin Gobi
** Message: Loaded plugin Generic
** Message: Loaded plugin Sierra
** Message: Loaded plugin Nokia
** Message: Loaded plugin Novatel
** Message: Loaded plugin MotoC
** Message: Loaded plugin Option High-Speed
** Message: (ttyUSB0) opening serial device...
** (modem-manager:2423): DEBUG: (ttyUSB0): probe requested by plugin 'Generic'
** Message: (ttyUSB2) opening serial device...
** (modem-manager:2423): DEBUG: (ttyUSB2): probe requested by plugin 'Generic'
** Message: (ttyUSB1) opening serial device...
** (modem-manager:2423): DEBUG: (ttyUSB1): probe requested by plugin 'Generic'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB3) opening serial device...
** (modem-manager:2423): DEBUG: (ttyUSB3): probe requested by plugin 'Generic'
** Message: (ttyUSB5) opening serial device...
** (modem-manager:2423): DEBUG: (ttyUSB5): probe requested by plugin 'Generic'
** Message: (ttyUSB4) opening serial device...
** (modem-manager:2423): DEBUG: (ttyUSB4): probe requested by plugin 'Generic'
** (modem-manager:2423): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** Message: (ttyUSB0) closing serial device...
** (modem-manager:2423): DEBUG: (ttyUSB3): --> 'AT+GCAP<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB5): --> 'AT+GCAP<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB4): --> 'AT+GCAP<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB3): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM,+DS,+ES<CR><LF><CR><LF>OK<CR><LF>'
** Message: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2.1 claimed port ttyUSB0
** (modem-manager:2423): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2.1
** (modem-manager:2423): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2.1 as /org/freedesktop/ModemManager/Modems/0
** Message: (ttyUSB3) closing serial device...
** (modem-manager:2423): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** Message: (Generic): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2.2 claimed port ttyUSB3
** (modem-manager:2423): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2.2
** (modem-manager:2423): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2.2 as /org/freedesktop/ModemManager/Modems/1
** (modem-manager:2423): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB5): --> 'AT+GCAP<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB4): --> 'AT+GCAP<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB5): --> 'AT+GCAP<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB4): --> 'AT+GCAP<CR>'
** Message: (ttyUSB2) closing serial device...
** Message: (ttyUSB1) closing serial device...
** Message: (ttyUSB5) closing serial device...
** Message: (ttyUSB4) closing serial device...
** Message: (ttyUSB0) opening serial device...
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2423): DEBUG: Got failure code 100: Unknown error

** (modem-manager:2423): WARNING **: Your CDMA modem does not support +CMEE command
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2423): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:2423): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB0) closing serial device...
Comment 5 Dan Williams 2009-12-16 14:30:31 EST
Your modem isn't reporting the SID, which (if the modem is standards-compliant) means that it's not really associated to any network...  This could be a case of the AT-command interface not being complete enough (since on Windows most modems use a Qualcomm proprietary interface instead of AT commands) or it could be something else needs to be set up for the modem to work correctly.

Can you try the following commands with minicom or such if you don't mind?

AT&V
AT+CLAC

thanks!
Comment 6 Miroslav Pragl 2009-12-16 15:30:24 EST
AT&V made my modem completely freeze, had to power cycle it

AT+CLAC
ERROR

MP
Comment 7 Igor Bukanov 2010-01-05 18:06:26 EST
I observed a similar issue with AnyDATA ADU-310A USB modem. In Fedora-11 this modem works as is. After selecting the CDMA provider, SkyLink in Moscow, Russia, the NetworkManager just connects. In Fedora-12 the NetworkManager could not initialize the modem properly and log contains:

modem-manager: Your CDMA modem does not support +CMEE command

As a work around I connect manually with wvdial. In particularly, wvdialconf generates the following wvdial.conf:

Init2 = ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
Modem Type = Analog Modem
Phone = ***
ISDN = 0
Username = ***
Init1 = ATZ
Password = ***
Modem = /dev/ttyUSB0
Baud = 9600

After that wvdial successfully brings the connection up.
Comment 8 Miroslav Pragl 2010-01-06 04:58:59 EST
I gave up using NM.

- it doesn't support (half of) my modem
- it doesn't understand pppd so that I keep getting incorrect / default DNS'es
- it even can't connect automatically to pre-configured hidden WLAN (it can - but takes up to 15 minutes)

:(

MP
Comment 9 Vassily Gavrilyak 2010-01-14 11:23:53 EST
Modem ADU-300A

Bus 003 Device 012: ID 16d5:6501 AnyDATA Corporation CDMA 2000 1xRTT/EV-DO Modem

Jan 14 15:16:31 zema-laptop kernel: [ 3116.157185] usbserial_generic 3-3:1.0: generic converter detected
Jan 14 15:16:31 zema-laptop kernel: [ 3116.157341] usb 3-3: generic converter now attached to ttyUSB0
Jan 14 15:16:31 zema-laptop kernel: [ 3116.158844] usbserial_generic 3-3:1.1: generic converter detected
Jan 14 15:16:31 zema-laptop kernel: [ 3116.158999] usb 3-3: generic converter now attached to ttyUSB1
Jan 14 15:16:31 zema-laptop kernel: [ 3116.163299] wlan0: disassociating by local choice (reason=3)
Jan 14 15:16:31 zema-laptop wpa_supplicant[1225]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Jan 14 15:16:31 zema-laptop modem-manager: (ttyUSB1) opening serial device...
Jan 14 15:16:31 zema-laptop modem-manager: (ttyUSB1): probe requested by plugin 'Generic'
Jan 14 15:16:31 zema-laptop modem-manager: (ttyUSB0) opening serial device...
Jan 14 15:16:31 zema-laptop modem-manager: (ttyUSB0): probe requested by plugin 'Generic'
Jan 14 15:16:31 zema-laptop named[1204]: received control channel command 'reconfig'
Jan 14 15:16:31 zema-laptop named[1204]: loading configuration from '/etc/bind/named.conf'
Jan 14 15:16:31 zema-laptop named[1204]: using default UDP/IPv4 port range: [1024, 65535]
Jan 14 15:16:31 zema-laptop named[1204]: using default UDP/IPv6 port range: [1024, 65535]
Jan 14 15:16:31 zema-laptop named[1204]: no longer listening on 192.168.1.3#53
Jan 14 15:16:31 zema-laptop named[1204]: reloading configuration succeeded
Jan 14 15:16:31 zema-laptop named[1204]: any newly configured zones are now loaded
Jan 14 15:16:31 zema-laptop modem-manager: (ttyUSB1): --> 'AT+GCAP<CR>'
Jan 14 15:16:32 zema-laptop modem-manager: (ttyUSB0): --> 'AT+GCAP<CR>'
Jan 14 15:16:33 zema-laptop modem-manager: (ttyUSB0): <-- '<CR><LF>+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>'
Jan 14 15:16:33 zema-laptop modem-manager: (ttyUSB0) closing serial device...
Jan 14 15:16:33 zema-laptop modem-manager: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:12.0/usb3/3-3 claimed port ttyUSB0
Jan 14 15:16:33 zema-laptop modem-manager: Added modem /sys/devices/pci0000:00/0000:00:12.0/usb3/3-3
Jan 14 15:16:33 zema-laptop modem-manager: Exported modem /sys/devices/pci0000:00/0000:00:12.0/usb3/3-3 as /org/freedesktop/ModemManager/Modems/3
Jan 14 15:16:33 zema-laptop NetworkManager: <info> (ttyUSB0): new CDMA device (driver: 'generic')
Jan 14 15:16:33 zema-laptop NetworkManager: <info> (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/5
Jan 14 15:16:33 zema-laptop NetworkManager: <info> (ttyUSB0): now managed
Jan 14 15:16:33 zema-laptop NetworkManager: <info> (ttyUSB0): device state change: 1 -> 2 (reason 2)
Jan 14 15:16:33 zema-laptop NetworkManager: <info> (ttyUSB0): deactivating device (reason: 2).
Jan 14 15:16:33 zema-laptop NetworkManager: flush_routes: assertion `iface_idx >= 0' failed
Jan 14 15:16:33 zema-laptop NetworkManager: flush_addresses: assertion `iface_idx >= 0' failed
Jan 14 15:16:33 zema-laptop NetworkManager: <info> (ttyUSB0): device state change: 2 -> 3 (reason 0)
Jan 14 15:16:35 zema-laptop modem-manager: (ttyUSB1): --> 'AT+GCAP<CR>'
Jan 14 15:16:37 zema-laptop NetworkManager: <info> Activation (ttyUSB0) starting connection 'skylink kirov connection'
Jan 14 15:16:37 zema-laptop NetworkManager: <info> (ttyUSB0): device state change: 3 -> 4 (reason 0)
Jan 14 15:16:37 zema-laptop NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Jan 14 15:16:37 zema-laptop NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Jan 14 15:16:37 zema-laptop NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Jan 14 15:16:37 zema-laptop modem-manager: (ttyUSB0) opening serial device...
Jan 14 15:16:37 zema-laptop modem-manager: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
Jan 14 15:16:38 zema-laptop modem-manager: (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1'
Jan 14 15:16:38 zema-laptop modem-manager: (ttyUSB0): <-- '<CR>' Jan 14 15:16:39 zema-laptop modem-manager: (ttyUSB1): --> 'AT+GCAP<CR>'
Jan 14 15:16:41 zema-laptop NetworkManager: <WARN> stage1_prepare_done(): CDMA modem connection failed: Serial command timed out
Jan 14 15:16:41 zema-laptop NetworkManager: <info> (ttyUSB0): device state change: 4 -> 9 (reason 0)
Jan 14 15:16:41 zema-laptop NetworkManager: <info> Marking connection 'skylink kirov connection' invalid.
Jan 14 15:16:41 zema-laptop NetworkManager: <info> Activation (ttyUSB0) failed.
Jan 14 15:16:41 zema-laptop NetworkManager: <info> (ttyUSB0): device state change: 9 -> 3 (reason 0)
Jan 14 15:16:41 zema-laptop NetworkManager: <info> (ttyUSB0): deactivating device (reason: 0).
Jan 14 15:16:41 zema-laptop NetworkManager: flush_routes: assertion `iface_idx >= 0' failed
Jan 14 15:16:41 zema-laptop NetworkManager: flush_addresses: assertion `iface_idx >= 0' failed
Jan 14 15:16:41 zema-laptop modem-manager: (ttyUSB0) closing serial device...
Jan 14 15:16:43 zema-laptop modem-manager: (ttyUSB1) closing serial device... 



Looks like ModemManager tries both serial ports and modem doesn't like it.
It worked with old NetworkManager using HAL, cause it was possible to tell manager to use only one interface

<match key="@info.parent:usb.vendor_id" int="0x16d5">
<!-- Adu E100a,500a -->
<match key="@info.parent:usb.product_id" int_outof="0x6501;0x6502">
<match key="@info.parent:usb.interface.number" int="0">
<append key="info.capabilities" type="strlist">modem</append>
<append key="modem.command_sets" type="strlist">IS-707-A</append>
</match>

Is there such posibility in generic plugin with udev?
Comment 10 Dan Williams 2010-01-16 18:38:49 EST
Vassily, according to the Windows drivers ttyUSB0 is the correct port for the 300A; can you try the debugging info in comment #1 for me so we can see what's going on?

Can you also use minicom or something to try the AT&V and AT+CLAC commands for me?  I'd like to figure out what the command set of the modem is and sometimes AT&V can provide that.
Comment 11 Igor Bukanov 2010-01-17 03:12:55 EST
Here is the requested info for AnyDATA ADU-310A:

modem-manager --debug:

When I insert the modem:

** Message: (ttyUSB1) opening serial device...
** (modem-manager:10806): DEBUG: (ttyUSB1): probe requested by plugin 'Generic'
** Message: (ttyUSB0) opening serial device...
** (modem-manager:10806): DEBUG: (ttyUSB0): probe requested by plugin 'Generic'
** (modem-manager:10806): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB0) closing serial device...
** Message: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1 claimed port ttyUSB0
** (modem-manager:10806): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1
** (modem-manager:10806): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:10806): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:10806): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** Message: (ttyUSB1) closing serial device...

When I tried to use it to connect to the net:

** Message: (ttyUSB0) opening serial device...
** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:10806): DEBUG: (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:10806): DEBUG: Got failure code 100: Unknown error

** (modem-manager:10806): WARNING **: Your CDMA modem does not support +CMEE command
** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'

Then the same output loops.

minicom output with /dev/modem symlinked to /dev/ttyUSB0:

Welcome to minicom 2.3

OPTIONS: I18n 
Compiled on Jul 26 2009, 22:02:36.
Port /dev/modem

               Press CTRL-A Z for help on special keys                                        
                                                                                              
AT S7=45 S0=0 L1 V1 X4 &c1 E1 Q0                                                              
OK                                                                                            
AT&V                                                                                          
&C: 1; &D: 2; &F: 0; E: 1; L: 1; M: 0; Q: 0; V: 1; X: 4; Z: 0; S0: 0;
S3: 13; S4: 10; S5: 8; S6: 2; S7: 45; S8: 2; S9: 6; S10: 14; S11: 95;
+FCLASS: 0; +ICF: 3,3; +IFC: 2,2; +IPR: 115200; +DR: 0; +DS: 0,0,2048,6;
+CDR: 0; +CDS: 0,1,2048,6; +CFC: 0; +CFG: ""; +CMUX: C,2; +CQD: 10;
+CRC: 0; +CRM: 0; +CTA: 30; +CXT: 0; +EB: 1,0,30; +EFCS: 1; +ER: 0;
+ES: 3,0,2; +ESR: 1; +ETBM: 1,1,20; +ILRR: 0; +MA: ; +MR: 0; +MS: ;
+MV18R: 0; +MV18S: 0,0,0; +FAA: 0; +FAP: 0,0,0; +FBO: 0; +FBU: 0;
+FCQ: 1,0; +FCC: 0,1,0,0,0,0,0,0;  +FCR: 0; +FCT: 1E; +FEA: 0;
+FFC: 0,0,0,0; +FHS: 0; +FIE: 0; +FIP: 0; +FIS: 0,1,0,0,0,0,0,0;
+FLI: ""; +FLO: 1; +FLP: 0; +FMS: 0; +FNR: 0,0,0,0; +FNS: ""; +FPA: "";
+FPI: ""; +FPP: 0; +FPR: 8; +FPS: 1; +FPW: ""; +FRQ: 0,0; +FRY: 0;
+FSA: ""; +FSP: 0; *SPC: ""; *MIN: ""; *MDN: ""; *MCC: ""; *MNC: "";
*ACCOLC: 0; *SNAM: ""; *AUTH: 0; *AKEY: ""; *SYSP: ""; *MODE: "";
*PRL: ""; *PCH: ""; *SCH: ""; *PID: ""; *PPW: ""; *VOICESO: 0; *SMSSO: 0;
*SLEEP: 0; *NAI: ""; *NAIPWD: ""; *CNID: 1; *DTMF: 0; *SIPI: 0

OK
AT+CLAC
ERROR
Comment 12 Igor Bukanov 2010-01-17 03:16:28 EST
Another observation is that with AnyDATA ADU-310A when I tried minicom on /dev/ttyUSB1, minicom just hangs.
Comment 13 Vassily Gavrilyak 2010-01-18 06:21:46 EST
Dan, here is the information you requested for ADU-300A.

AT&V 
&C: 2; &D: 2; &F: 0; E: 1; L: 0; M: 0; Q: 0; V: 1; X: 0; Z: 0; S0: 0; 
S3: 13; S4: 10; S5: 8; S6: 2; S7: 50; S8: 2; S9: 6; S10: 14; S11: 95; 
+FCLASS: 0; +ICF: 3,3; +IFC: 2,2; +IPR: 115200; +DR: 0; +DS: 0,0,2048,6; 
+CDR: 0; +CDS: 0,1,2048,6; +CFC: 0; +CFG: ""; +CMUX: C,2; +CQD: 10; 
+CRC: 0; +CRM: 2; +CTA: 30; +CXT: 0; +EB: 1,0,30; +EFCS: 1; +ER: 0; 
+ES: 3,0,2; +ESR: 1; +ETBM: 1,1,20; +ILRR: 0; +MA: ; +MR: 0; +MS: ; 
+MV18R: 0; +MV18S: 0,0,0; +FAA: 0; +FAP: 0,0,0; +FBO: 0; +FBU: 0; 
+FCQ: 1,0; +FCC: 0,1,0,0,0,0,0,0;  +FCR: 0; +FCT: 1E; +FEA: 0; 
+FFC: 0,0,0,0; +FHS: 0; +FIE: 0; +FIP: 0; +FIS: 0,1,0,0,0,0,0,0; 
+FLI: ""; +FLO: 1; +FLP: 0; +FMS: 0; +FNR: 0,0,0,0; +FNS: ""; +FPA: ""; 
+FPI: ""; +FPP: 0; +FPR: 8; +FPS: 1; +FPW: ""; +FRQ: 0,0; +FRY: 0; 
+FSA: ""; +FSP: 0; *SPC: ""; *MIN: ""; *MDN: ""; *MCC: ""; *MNC: ""; 
*ACCOLC: 0; *SNAM: ""; *AUTH: 0; *AKEY: ""; *SYSP: ""; *MODE: ""; 
*PRL: ""; *PCH: ""; *SCH: ""; *PID: ""; *PPW: ""; *VOICESO: 0; *SMSSO: 0; 
*SLEEP: 0; *NAI: ""; *NAIPWD: ""; *CNID: 1; *DTMF: 0; *SIPI: 0 
 
OK 
 
AT+CLAC 
ERROR 


$ sudo modem-manager --debug 
** Message: Loaded plugin Option 
** Message: Loaded plugin Novatel 
** Message: Loaded plugin Huawei 
** Message: Loaded plugin MotoC 
** Message: Loaded plugin ZTE 
** Message: Loaded plugin Ericsson MBM 
** Message: Loaded plugin Generic 
** Message: Loaded plugin Option High-Speed 
** Message: Loaded plugin Nokia 
** Message: Loaded plugin Sierra 
** Message: Loaded plugin Gobi 


----PLUG IN MODEM

** Message: (ttyUSB0) opening serial device... 
** (modem-manager:2165): DEBUG: (ttyUSB0): probe requested by plugin 'Generic' 
** Message: (ttyUSB1) opening serial device... 
** (modem-manager:2165): DEBUG: (ttyUSB1): probe requested by plugin 'Generic' 
** (modem-manager:2165): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>' 
** (modem-manager:2165): DEBUG: (ttyUSB0): <-- '<CR><LF>+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>' 
** (modem-manager:2165): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>' 
** Message: (ttyUSB0) closing serial device... 
** Message: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1 claimed port ttyUSB0 
** (modem-manager:2165): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1 
** (modem-manager:2165): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1 as /org/freedesktop/ModemManager/Modems/0 
** (modem-manager:2165): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>' 
** (modem-manager:2165): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>' 
** Message: (ttyUSB1) closing serial device... 


--TRY TO CONNECT MANUALLY

 
** Message: (ttyUSB0) opening serial device... 
** (modem-manager:2165): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>' 
** (modem-manager:2165): DEBUG: (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1<CR>' 
** (modem-manager:2165): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>' 
** (modem-manager:2165): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>' 
** (modem-manager:2165): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>' 
** (modem-manager:2165): DEBUG: Got failure code 100: Unknown error 
 
** (modem-manager:2165): WARNING **: Your CDMA modem does not support +CMEE command 
** (modem-manager:2165): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>' 
** (modem-manager:2165): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>' 
** (modem-manager:2165): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>' 
** (modem-manager:2165): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 11990<CR><LF><CR><LF>OK<CR><LF>' 
** (modem-manager:2165): DEBUG: (ttyUSB0): --> 'ATDT#777<CR>' 
** (modem-manager:2165): DEBUG: (ttyUSB0): <-- '<CR><LF>CONNECT<CR><LF>' 
** (modem-manager:2165): DEBUG: (ttyUSB0): <-- '<CR><LF>NO CARRIER<CR><LF>' 
** (modem-manager:2165): DEBUG: Got failure code 3: No carrier 
** Message: (ttyUSB0) closing serial device... 


  Unfortunately, I do not own this modem, the previous debug log was from help session on forum. Previous log was collected using sudo kill -SIGUSR1 `pgrep modem-manager` which turns on debug mode in modem-manager. This log was collected by another guy on forum, and it seems he just has some issue with provider. So it looks like sometimes modem works one way and sometimes different way.
  Both guys confirms that modem worked with NetworkManager using hal and stopped working with modem-manager and udev. During help session I found that it is possible to specify correct port via udev rule, but only for ZTE plugin. Probably it makes sense to move this functionality to Generic plugin, so it will allow users to use unsupported modems for now, while proper plugin is not there yet.
Comment 14 Igor Bukanov 2010-01-18 08:45:52 EST
> Both guys confirms that modem worked with NetworkManager using hal and
stopped working with modem-manager and udev.

The same applies to ADU-310A - see comment 7. Also I can provide any additional information or debug info if necessary.
Comment 15 Dan Williams 2010-01-19 01:56:59 EST
(In reply to comment #13)
> Dan, here is the information you requested for ADU-300A.
> 
> AT&V 
> &C: 2; &D: 2; &F: 0; E: 1; L: 0; M: 0; Q: 0; V: 1; X: 0; Z: 0; S0: 0; 
> S3: 13; S4: 10; S5: 8; S6: 2; S7: 50; S8: 2; S9: 6; S10: 14; S11: 95; 
> +FCLASS: 0; +ICF: 3,3; +IFC: 2,2; +IPR: 115200; +DR: 0; +DS: 0,0,2048,6; 
> +CDR: 0; +CDS: 0,1,2048,6; +CFC: 0; +CFG: ""; +CMUX: C,2; +CQD: 10; 
> +CRC: 0; +CRM: 2; +CTA: 30; +CXT: 0; +EB: 1,0,30; +EFCS: 1; +ER: 0; 
> +ES: 3,0,2; +ESR: 1; +ETBM: 1,1,20; +ILRR: 0; +MA: ; +MR: 0; +MS: ; 
> +MV18R: 0; +MV18S: 0,0,0; +FAA: 0; +FAP: 0,0,0; +FBO: 0; +FBU: 0; 
> +FCQ: 1,0; +FCC: 0,1,0,0,0,0,0,0;  +FCR: 0; +FCT: 1E; +FEA: 0; 
> +FFC: 0,0,0,0; +FHS: 0; +FIE: 0; +FIP: 0; +FIS: 0,1,0,0,0,0,0,0; 
> +FLI: ""; +FLO: 1; +FLP: 0; +FMS: 0; +FNR: 0,0,0,0; +FNS: ""; +FPA: ""; 
> +FPI: ""; +FPP: 0; +FPR: 8; +FPS: 1; +FPW: ""; +FRQ: 0,0; +FRY: 0; 
> +FSA: ""; +FSP: 0; *SPC: ""; *MIN: ""; *MDN: ""; *MCC: ""; *MNC: ""; 
> *ACCOLC: 0; *SNAM: ""; *AUTH: 0; *AKEY: ""; *SYSP: ""; *MODE: ""; 
> *PRL: ""; *PCH: ""; *SCH: ""; *PID: ""; *PPW: ""; *VOICESO: 0; *SMSSO: 0; 
> *SLEEP: 0; *NAI: ""; *NAIPWD: ""; *CNID: 1; *DTMF: 0; *SIPI: 0 

Excellent, this allowed me to find the AT command manual for these devices so we can determine both 1x and EVDO registration states.  Thanks!  Often I just need a few of the custom AT commands to google around and find the manual or forum posts.

> --TRY TO CONNECT MANUALLY
> 
> 
> ** Message: (ttyUSB0) opening serial device... 
> ** (modem-manager:2165): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>' 
> ** (modem-manager:2165): DEBUG: (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1<CR>' 
> ** (modem-manager:2165): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>' 
> ** (modem-manager:2165): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>' 
> ** (modem-manager:2165): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>' 
> ** (modem-manager:2165): DEBUG: Got failure code 100: Unknown error 
> 
> ** (modem-manager:2165): WARNING **: Your CDMA modem does not support +CMEE
> command 
> ** (modem-manager:2165): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>' 
> ** (modem-manager:2165): DEBUG: (ttyUSB0): <--
> '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>' 
> ** (modem-manager:2165): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>' 
> ** (modem-manager:2165): DEBUG: (ttyUSB0): <-- '<CR><LF>?,
> 11990<CR><LF><CR><LF>OK<CR><LF>' 
> ** (modem-manager:2165): DEBUG: (ttyUSB0): --> 'ATDT#777<CR>' 
> ** (modem-manager:2165): DEBUG: (ttyUSB0): <-- '<CR><LF>CONNECT<CR><LF>' 
> ** (modem-manager:2165): DEBUG: (ttyUSB0): <-- '<CR><LF>NO CARRIER<CR><LF>' 
> ** (modem-manager:2165): DEBUG: Got failure code 3: No carrier 
> ** Message: (ttyUSB0) closing serial device... 

This could be because just checking the SID isn't enough for these devices.  But we can use AT*STATE and AT*HSTATE for these devices and figure this out.

BTW, what carrier is this?  I maintain a table mapping SID -> carrier and I'd like to add 11990 to the list.

>   Both guys confirms that modem worked with NetworkManager using hal and
> stopped working with modem-manager and udev. During help session I found that
> it is possible to specify correct port via udev rule, but only for ZTE plugin.
> Probably it makes sense to move this functionality to Generic plugin, so it
> will allow users to use unsupported modems for now, while proper plugin is not
> there yet.    

CDMA modems usually only have one AT capable port and thus we don't need the udev rules to tag ports as primary vs. secondary.  In this case because modem-manager only finds one port (which is normal for CDMA devices) that's the only port that we can use.  So I suspect the issue is the modem simply hasn't had enough time to fully register on the network yet.
Comment 16 Dan Williams 2010-01-19 01:58:16 EST
(In reply to comment #12)
> Another observation is that with AnyDATA ADU-310A when I tried minicom on
> /dev/ttyUSB1, minicom just hangs.    

Yeah, because ttyUSB1 is not an AT-capable port.  CDMA modems usually only have one AT-capable port, and the other ports use a Qualcomm proprietary "diagnostic mode" that is not well documented or reverse-engineered.  So it's not surprising that you can't use minicom to talk to ttyUSB1.
Comment 17 Dan Williams 2010-01-19 02:07:15 EST
(In reply to comment #11)
> Here is the requested info for AnyDATA ADU-310A:
> 
> modem-manager --debug:
> 
> When I insert the modem:
> 
> ** Message: (ttyUSB1) opening serial device...
> ** (modem-manager:10806): DEBUG: (ttyUSB1): probe requested by plugin 'Generic'
> ** Message: (ttyUSB0) opening serial device...
> ** (modem-manager:10806): DEBUG: (ttyUSB0): probe requested by plugin 'Generic'
> ** (modem-manager:10806): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>+GCAP: +CIS707-A,
> CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>'
> ** Message: (ttyUSB0) closing serial device...
> ** Message: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1
> claimed port ttyUSB0
> ** (modem-manager:10806): DEBUG: Added modem
> /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1
> ** (modem-manager:10806): DEBUG: Exported modem
> /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1 as
> /org/freedesktop/ModemManager/Modems/0
> ** (modem-manager:10806): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
> ** (modem-manager:10806): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
> ** Message: (ttyUSB1) closing serial device...
> 
> When I tried to use it to connect to the net:
> 
> ** Message: (ttyUSB0) opening serial device...
> ** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1<CR>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
> ** (modem-manager:10806): DEBUG: Got failure code 100: Unknown error
> 
> ** (modem-manager:10806): WARNING **: Your CDMA modem does not support +CMEE
> command
> ** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): <--
> '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>?,
> 0<CR><LF><CR><LF>OK<CR><LF>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): <--
> '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): <-- '<CR><LF>?,
> 0<CR><LF><CR><LF>OK<CR><LF>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
> ** (modem-manager:10806): DEBUG: (ttyUSB0): <--
> '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'

Does it help to leave the modem plugged in for a minute or two before you try to connect?  Some modems take a while to register with the network.  You can see how long the modem takes by doing this:

1) stop NetworkManager and ModemManager
2) plug the modem in
3) use minicom on ttyUSB0
4) continuously run AT*STATE
5) you'll get a reply like:
    *STATE:720,11990,2,0...

The format of the response is:

*STATE:<channel>,<SID>,<NID>,<state>,<rssi>,...

where state can be 0 (no service), 1 (idle), 2 (access), 3 (paging), or 4 (traffic).  If the <state> is 0, then you can't connect to the network because the modem hasn't found the network yet.

If the modem *never* finds the network wtih AT*STATE, you may be in an area without 1xRTT service, or you may be unable to roam on a 1xRTT provider.  You can then see if the modem has EVDO service using AT*HSTATE.  The *HSTATE response is:

*HSTATE:<state>,<session>,<stuff we don't care about>

where if <state> is 0 (inactive), 1 (acquisition), or 2 (sync), you don't have service.  If the *HSTATE <state> is 3 or higher then you have EVDO service.

The problem for Vassily is probably that the AT+CSS response indicates that the modem has a SID, but isn't actually yet registered to the network.

Your problem (and Miroslav's) seems to be no service at all or slow registration.  If you find that AT+CSS returns "?,0" but AT*STATE or AT*HSTATE return service, then we need to write some custom registration state functions for AnyDATA CDMA modems.  We probably need to write those anyway, but it would be good to figure out what the issue is first.
Comment 18 Dan Williams 2010-01-19 02:10:10 EST
Can people report their modem's USB VID and PID too so I can make sure they are all the same vendor?  That way we can make an AnyDATA CDMA plugin that handles the registration state better.
Comment 19 Igor Bukanov 2010-01-19 03:07:57 EST
(In reply to comment #18)
> Can people report their modem's USB VID and PID too so I can make sure they are
> all the same vendor?  That way we can make an AnyDATA CDMA plugin that handles
> the registration state better.

I am not sure what is VID and PID and how do I get them. lsusb gives for my AnyDATA ADU-310A:

Bus 002 Device 002: ID 16d5:6501 AnyDATA Corporation CDMA 2000 1xRTT/EV-DO Modem

The provider is SkyLink in Moscow, Russia.
Comment 20 Igor Bukanov 2010-01-19 03:48:40 EST
The modem AnyDATA ADU-310A has indicators that shows when the modem finds its network. It takes up to a minute before the indicator shows that the modem has found a network. This can also be confirmed using wvdial. The command waits until the modem shows a green light (after that it almost instantly successfully connects to the network) or when the indicator shows that no coverage is available.

AT*STATE command for the modem always gives ERROR even after the indicator shows the green light.

If I stop modem-manager and NetworkManager, insert the modem, wait until the modem finds network and then start modem-manager and NetworkManager, I got:


modem-manager messages before NetworkManager starts:

** Message: Loaded plugin Generic
** Message: Loaded plugin Huawei
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Sierra
** Message: Loaded plugin Option
** Message: Loaded plugin ZTE
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Gobi
** Message: Loaded plugin Nokia
** Message: Loaded plugin MotoC
** Message: Loaded plugin Novatel
** Message: (ttyUSB0) opening serial device...
** (modem-manager:4631): DEBUG: (ttyUSB0): probe requested by plugin 'Generic'
** Message: (ttyUSB1) opening serial device...
** (modem-manager:4631): DEBUG: (ttyUSB1): probe requested by plugin 'Generic'
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:4631): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** Message: (ttyUSB0) closing serial device...
** Message: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1 claimed port ttyUSB0
** (modem-manager:4631): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1
** (modem-manager:4631): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:4631): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** Message: (ttyUSB1) closing serial device...

After starting NetworkManager and selecting the SkyLink connection:

** Message: (ttyUSB0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:4631): DEBUG: Got failure code 100: Unknown error

** (modem-manager:4631): WARNING **: Your CDMA modem does not support +CMEE command
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- '<CR><LF>?, 0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'AT+CSS?<CR>'


Now, if I disonnect the modem and try to connect using NetworkManager after insertion and before it find the network, I get:

after inserting the modem:

** Message: (ttyUSB0) opening serial device...
** (modem-manager:4631): DEBUG: (ttyUSB0): probe requested by plugin 'Generic'
** Message: (ttyUSB1) opening serial device...
** (modem-manager:4631): DEBUG: (ttyUSB1): probe requested by plugin 'Generic'
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- '<CR><LF>+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:4631): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** Message: (ttyUSB0) closing serial device...
** Message: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1 claimed port ttyUSB0
** (modem-manager:4631): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1
** (modem-manager:4631): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1 as /org/freedesktop/ModemManager/Modems/4
** (modem-manager:4631): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** Message: (ttyUSB1) closing serial device...

after trying to connect:


** Message: (ttyUSB0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/4: state changed (disabled -> enabling)
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- '<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:4631): DEBUG: Got failure code 100: Unknown error

** (modem-manager:4631): WARNING **: Your CDMA modem does not support +CMEE command
** Message: Modem /org/freedesktop/ModemManager/Modems/4: state changed (enabling -> enabled)
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:4631): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:4631): DEBUG: (ttyUSB0): <-- '<CR><LF>0<CR><LF><CR><LF>OK<CR><LF>'
Comment 21 Igor Bukanov 2010-01-19 04:13:12 EST
It seems that AnyDATA ADU-310A does not support any state/css commands no matter whether it finds a network or not:

AT*STATE
ERROR
AT*HSTATE
ERROR
AT+CSS
?, 0

OK
Comment 22 Vassily Gavrilyak 2010-01-19 07:26:32 EST
>BTW, what carrier is this?
This is SkyLink, Ulyanovsk, Russia

>Can people report their modem's USB VID and PID too 
I can try to post this request on forum at linux.org.ru, pretty often people with Anydata modems ask for help there. What other information do you need?
lsusb only or something else?

Search on forum revelead this:

ADU-520A
Bus 001 Device 003: ID 16d5:6502 AnyDATA Corporation  

ADU-300
Bus 003 Device 012: ID 16d5:6501 AnyDATA Corporation CDMA 2000 1xRTT/EV-DO Modem
Comment 23 Dan Williams 2010-01-19 12:27:38 EST
(In reply to comment #21)
> It seems that AnyDATA ADU-310A does not support any state/css commands no
> matter whether it finds a network or not:
> 
> AT*STATE
> ERROR
> AT*HSTATE
> ERROR
> AT+CSS
> ?, 0
> 
> OK    

Sometimes the devices are picky.  Can you try:

AT*STATE?
AT*HSTATE?

(with the trailing '?' character).  They may respond to that but not AT*STATE.
Comment 24 Dan Williams 2010-01-19 12:38:33 EST
One more command for you to check:

AT*CAD
AT*CAD?

Does that one work?
Comment 25 Igor Bukanov 2010-01-19 13:49:09 EST
Here is minicom output for AnyDATA ADU-310A:

Before the modem finds the net:

AT*STATE?                                                                                     
*STATE:0,0,0,0,0,-106,-31,-64,+0,0

OK
AT*HSTATE?
*HSTATE:0,4,0,0,-31,-20,-64,+0,0,-20

OK
AT*CAD
ERROR
AT*CAD?
*CAD:0

After it finds the net:
OK
AT*STATE?
*STATE:160,0,0,0,1,-106,-31,-64,+0,0

OK
AT*HSTATE?
*HSTATE:3,4,160,255,-4,-56,-64,+0,0,-106

OK
AT*CAD?
*CAD:0

OK
Comment 26 Dan Williams 2010-01-19 14:02:58 EST
Igor, when the can you try "AT+CSS?" before the modem has the network, and after the modem has the network?

I think the issue with your device may be that you dont' have 1X service, but you do have EVDO service.
Comment 27 Igor Bukanov 2010-01-19 15:05:52 EST
(In reply to comment #26)
> Igor, when the can you try "AT+CSS?" before the modem has the network, and
> after the modem has the network?

AT+CSS does not work neither before the modem finds the network neither after. It always generates ERROR.

> 
> I think the issue with your device may be that you dont' have 1X service, but
> you do have EVDO service.    

My service plan does not include 1x option and, according to the statistics from my account page, the traffic goes exclusively over EV-DO indeed.
Comment 28 Dan Williams 2010-01-19 15:16:52 EST
Ok, and the fact AT*STATE returned an RSSI of -106 (which is the lowest and worst) means the modem does not have any 1X signal.  I'm developing an AnyData plugin for modem-manager that we can use to test.

Just to clarify what you said here:

"AT+CSS does not work neither before the modem finds the network neither after.
It always generates ERROR."

You tried "AT+CSS?" and/or "AT+CSS" and the modem always responded with ERROR, correct?
Comment 29 Igor Bukanov 2010-01-19 15:48:38 EST
(In reply to comment #28)
> You tried "AT+CSS?" and/or "AT+CSS" and the modem always responded with ERROR,
> correct?    

Sorry, I have misread the command name. The right output:

AT+CSS
?, 0

OK
AT+CSS?
?, 0

It is the same both for before and after modem find the net cases.
Comment 30 Dan Williams 2010-01-19 15:50:32 EST
Ok, that reinforces the fact that 1X isn't available for you.  Some modems (like these) will key the CSS response off the 1X state.  I'll make it possible for plugins to override the CSS request during registration state checking.
Comment 31 Dan Williams 2010-01-19 18:14:05 EST
anydata plugin committed and merged to master upstream; testing RPMs in a bit
Comment 32 Fedora Update System 2010-01-19 18:36:18 EST
ModemManager-0.3-1.git20100119.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ModemManager-0.3-1.git20100119.fc12
Comment 33 Dan Williams 2010-01-19 18:40:49 EST
If you could give the RPM linked to from that update a try, that would be great.  It may have a bug or two, but we'll fix that.  If you wouldn't mind doing a 'modem-manager --debug' run anyway just to let me confirm the command/response flow that would be great too.
Comment 34 Igor Bukanov 2010-01-20 04:20:47 EST
The RPM from the above link still does not setup the connection.

Here is the modem-manager output:

After inserting the modem:

** Message: (ttyUSB0) opening serial device...
** (modem-manager:8516): DEBUG: (ttyUSB0): probe requested by plugin 'AnyData'
** Message: (ttyUSB1) opening serial device...
** (modem-manager:8516): DEBUG: (ttyUSB1): probe requested by plugin 'AnyData'
** (modem-manager:8516): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:8516): DEBUG: (ttyUSB0): <-- '<CR><LF>+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:8516): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** Message: (ttyUSB0) closing serial device...
** Message: (AnyData): CDMA modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1 claimed port ttyUSB0
** (modem-manager:8516): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1
** (modem-manager:8516): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:8516): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:8516): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** Message: (ttyUSB1) closing serial device...

After selecting the modem from NetworkManager menu (when modem is connected to the network):

** Message: (ttyUSB0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:8712): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:8712): DEBUG: (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:8712): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:8712): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:8712): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:8712): DEBUG: Got failure code 100: Unknown error

** (modem-manager:8712): WARNING **: Your CDMA modem does not support +CMEE command
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:8712): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:8712): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:8712): DEBUG: (ttyUSB0): --> 'AT*STATE?<CR>'
** (modem-manager:8712): DEBUG: (ttyUSB0): <-- '<CR><LF>*STATE:160,0,0,0,1,-106,-31,-64,+0,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:8712): DEBUG: (ttyUSB0): --> 'AT*HSTATE?<CR>'
** (modem-manager:8712): DEBUG: (ttyUSB0): <-- '<CR><LF>*HSTATE:3,4,160,255,-3,-57,-64,+0,0,-106<CR><LF><CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> connecting)
** (modem-manager:8712): DEBUG: (ttyUSB0): --> 'ATDT#777<CR>'
** (modem-manager:8712): DEBUG: (ttyUSB0): <-- '<CR><LF>CONNECT<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connecting -> connected)
** Message: (ttyUSB0) closing serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> connected)

** (modem-manager:8712): WARNING **: disable_disconnect_done: (/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1): error disconnecting the modem while disabling: (0) get_speed: tcgetattr() error 9
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disabling)
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabling -> disabled)

The important difference with the previous setup is that the modem shows the blue signal indicating that it is connected to the network and there is some traffic even if NetworkManager shows no network setup.

During one of the attempts to connect the NetworkManager even managed to get IP addresses, but then NetworkManager terminated the connection:

Jan 20 12:12:54 chernika NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) complete.
Jan 20 12:12:54 chernika pppd[8957]: Plugin /usr/lib/pppd/2.4.4/nm-pppd-plugin.so loaded.
Jan 20 12:12:54 chernika pppd[8957]: Warning: couldn't open ppp database /var/run/pppd2.tdb
Jan 20 12:12:54 chernika pppd[8957]: pppd 2.4.4 started by root, uid 0
Jan 20 12:12:54 chernika pppd[8957]: Using interface ppp0
Jan 20 12:12:54 chernika pppd[8957]: Connect: ppp0 <--> /dev/ttyUSB0
Jan 20 12:12:58 chernika pppd[8957]: CHAP authentication succeeded
Jan 20 12:12:58 chernika pppd[8957]: CHAP authentication succeeded
Jan 20 12:12:58 chernika pppd[8957]: local  IP address 92.36.49.52
Jan 20 12:12:58 chernika pppd[8957]: remote IP address 212.119.106.154
Jan 20 12:12:58 chernika pppd[8957]: primary   DNS address 212.119.96.33
Jan 20 12:12:58 chernika pppd[8957]: secondary DNS address 212.119.97.5
Jan 20 12:12:58 chernika NetworkManager: <info>  PPP manager(IP Config Get) reply received.
Jan 20 12:12:58 chernika NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP4 Configure Get) scheduled...
Jan 20 12:12:58 chernika NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP4 Configure Get) started...
Jan 20 12:12:58 chernika NetworkManager: <info>  Activation (ttyUSB0) Stage 5 of 5 (IP Configure Commit) scheduled...
Jan 20 12:12:58 chernika NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP4 Configure Get) complete.
Jan 20 12:12:58 chernika NetworkManager: <info>  Activation (ttyUSB0) Stage 5 of 5 (IP Configure Commit) started...
Jan 20 12:12:58 chernika pppd[8970]: Fatal signal 11
Jan 20 12:12:58 chernika pppd[8970]: ioctl (SIOCGIFFLAGS): Bad file descriptor (line 2224)
Jan 20 12:12:59 chernika pppd[8970]: Exit.
Jan 20 12:12:59 chernika pppd[8957]: Modem hangup
Jan 20 12:12:59 chernika pppd[8957]: Connect time 0.1 minutes.
Jan 20 12:12:59 chernika pppd[8957]: Sent 0 bytes, received 0 bytes.
Jan 20 12:12:59 chernika pppd[8957]: Connection terminated.
Jan 20 12:12:59 chernika NetworkManager: <info>  (ttyUSB0): device state change: 7 -> 8 (reason 0)
Jan 20 12:12:59 chernika NetworkManager: <WARN>  nm_system_replace_default_ip4_route(): (ppp0): failed to set IPv4 default route: -19
Jan 20 12:12:59 chernika NetworkManager: <info>  Policy set 'Skylink (Moscow) connection' (ppp0) as default for routing and DNS.
Jan 20 12:12:59 chernika NetworkManager: <info>  Activation (ttyUSB0) successful, device activated.
Jan 20 12:12:59 chernika NetworkManager: <info>  Activation (ttyUSB0) Stage 5 of 5 (IP Configure Commit) complete.
Jan 20 12:12:59 chernika NetworkManager: <info>  (ttyUSB0): device state change: 8 -> 9 (reason 13)
Jan 20 12:12:59 chernika NetworkManager: <info>  Activation (ttyUSB0) failed.
Jan 20 12:12:59 chernika NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3 (reason 0)
Jan 20 12:12:59 chernika NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).

Note also that NetworkManager shows *two* menu entries for the SkyLink. I guess they corresponds to two USB ports that the modem provides. One of them does not work obviously.
Comment 35 Dan Williams 2010-01-20 13:16:05 EST
When you see two entries for the device in the menu, can you run "nm-tool" for me?  There may be a bug in the applet WRT duplicate devices between plugging and unplugging modems, but it's never a bug in NM itself.  "nm-tool" shows what NM thinks the world looks like.

It also looks like there's a bug in pppd where pppd crashes (the "Fatal signal 11" is a segfault which indicates a bad error in pppd).
Comment 36 Dan Williams 2010-01-20 13:16:39 EST
Miroslav/Vassily, do the above RPMs work for you?
Comment 37 Dan Williams 2010-01-20 13:33:39 EST
Igor, can you also run NM with PPP debugging turned on?  You can do that by (as root of course):

1) service NetworkManager stop
2) NM_PPP_DEBUG=1 /usr/sbin/NetworkManager --no-daemon
3) try to connect
4) Ctrl+C will kill NM and then you can "service NetworkManager start" to get back to a clean state

and then attach the log from the terminal to this bug and lets see if we can get some more information about why pppd is having problems. Thanks!
Comment 38 Igor Bukanov 2010-01-20 15:33:35 EST
That disconnect could be a bug in pptpd indeed. But after I rebooted the computer everything has started to work. Moreover, the nm-applet menu shows only one entry. Here is the debug output for references for AnyDATA ADU-310A:

Inserting the modem:

NetworkManager: <info>  (ttyUSB0): new CDMA device (driver: 'option1')
NetworkManager: <info>  (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/3
NetworkManager: <info>  (ttyUSB0): now managed
NetworkManager: <info>  (ttyUSB0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 2).
NetworkManager: <info>  (ttyUSB0): device state change: 2 -> 3 (reason 0)

Connecting when the modem show it has find the net:

NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Skylink (Moscow) connection'
NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 5 (reason 0)
NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) successful.
NetworkManager: <info>  Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) scheduled.
NetworkManager: <info>  Activation (ttyUSB0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info>  Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) started...
NetworkManager: <info>  (ttyUSB0): device state change: 5 -> 7 (reason 0)
NetworkManager: <info>  Starting pppd connection
NetworkManager: <debug> [1264018403.288634] nm_ppp_manager_start(): Command line: /usr/sbin/pppd nodetach lock nodefaultroute debug user mobile ttyUSB0 noipdefault noauth usepeerdns lcp-echo-failure 0 lcp-echo-interval 0 ipparam /org/freedesktop/NetworkManager/PPP/0 plugin /usr/lib/pppd/2.4.4/nm-pppd-plugin.so
NetworkManager: <debug> [1264018403.300096] nm_ppp_manager_start(): ppp started with pid 10284
NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) scheduled...
NetworkManager: <info>  Activation (ttyUSB0) Stage 3 of 5 (IP Configure Start) complete.
Plugin /usr/lib/pppd/2.4.4/nm-pppd-plugin.so loaded.
NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) started...
NetworkManager: <info>  Activation (ttyUSB0) Stage 4 of 5 (IP6 Configure Get) complete.
** Message: nm-ppp-plugin: (plugin_init): initializing
** Message: nm-ppp-plugin: (nm_phasechange): status 3 / phase 'serial connection'
using channel 11
Using interface ppp0
Connect: ppp0 <--> /dev/ttyUSB0
** Message: nm-ppp-plugin: (nm_phasechange): status 5 / phase 'establish'
sent [LCP ConfReq id=0x1 <asyncmap 0x0> <magic 0xf09298d0> <pcomp> <accomp>]
rcvd [LCP ConfReq id=0x1 <asyncmap 0x0> <auth chap MD5> <magic 0x700c1b52>]
sent [LCP ConfAck id=0x1 <asyncmap 0x0> <auth chap MD5> <magic 0x700c1b52>]
rcvd [LCP ConfAck id=0x1 <asyncmap 0x0> <magic 0xf09298d0> <pcomp> <accomp>]
** Message: nm-ppp-plugin: (nm_phasechange): status 6 / phase 'authenticate'
rcvd [CHAP Challenge id=0x1 <b9a4476146c65130ab03a6c11b0ec0e3>, name = "pdsn-m34-6cm4"]
** Message: nm-ppp-plugin: (get_credentials): passwd-hook, requesting credentials...
** Message: nm-ppp-plugin: (get_credentials): got credentials from NetworkManager
sent [CHAP Response id=0x1 <76875377d5dbb660a55867406927aa7b>, name = "mobile"]
rcvd [CHAP Success id=0x1 ""]
CHAP authentication succeeded
CHAP authentication succeeded
** Message: nm-ppp-plugin: (nm_phasechange): status 8 / phase 'network'
sent [CCP ConfReq id=0x1 <deflate 15> <deflate(old#) 15>]
sent [IPCP ConfReq id=0x1 <compress VJ 0f 01> <addr 0.0.0.0> <ms-dns1 0.0.0.0> <ms-dns3 0.0.0.0>]
rcvd [IPCP ConfReq id=0x1 <addr 212.119.106.154>]
sent [IPCP ConfAck id=0x1 <addr 212.119.106.154>]
rcvd [LCP ProtRej id=0x2 80 fd 01 01 00 0c 1a 04 78 00 18 04 78 00]
Protocol-Reject for 'Compression Control Protocol' (0x80fd) received
rcvd [IPCP ConfRej id=0x1 <compress VJ 0f 01>]
sent [IPCP ConfReq id=0x2 <addr 0.0.0.0> <ms-dns1 0.0.0.0> <ms-dns3 0.0.0.0>]
rcvd [IPCP ConfNak id=0x2 <addr 92.36.49.47> <ms-dns1 212.119.96.33> <ms-dns3 212.119.97.5>]
sent [IPCP ConfReq id=0x3 <addr 92.36.49.47> <ms-dns1 212.119.96.33> <ms-dns3 212.119.97.5>]
rcvd [IPCP ConfAck id=0x3 <addr 92.36.49.47> <ms-dns1 212.119.96.33> <ms-dns3 212.119.97.5>]
local  IP address 92.36.49.47
remote IP address 212.119.106.154
primary   DNS address 212.119.96.33
secondary DNS address 212.119.97.5
** Message: nm-ppp-plugin

nm-tool output:

State: connected

- Device: wlan0 ----------------------------------------------------------------
  Type:              802.11 WiFi
  Driver:            ath5k
  State:             unavailable
  Default:           no
  HW Address:        00:26:5E:66:29:CE

  Capabilities:

  Wireless Properties
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes

  Wireless Access Points 


- Device: eth0 -----------------------------------------------------------------
  Type:              Wired
  Driver:            sky2
  State:             unavailable
  Default:           no
  HW Address:        00:24:54:04:DD:98

  Capabilities:
    Carrier Detect:  yes

  Wired Properties
    Carrier:         off


- Device: 00:24:04:C2:C5:81 ----------------------------------------------------
  Type:              Bluetooth
  Driver:            bluez
  State:             disconnected
  Default:           no

  Capabilities:


- Device: ttyUSB0  [Skylink (Moscow) connection] -------------------------------
  Type:              Mobile Broadband (CDMA)
  Driver:            option1
  State:             connected
  Default:           yes

  Capabilities:

  IPv4 Settings:
    Address:         92.36.49.47
    Prefix:          32 (255.255.255.255)
    Gateway:         212.119.106.154

    DNS:             212.119.96.33
    DNS:             212.119.97.5
Comment 39 Dan Williams 2010-01-20 17:04:12 EST
Ok, so after reboot it works?  I'd expect a reboot to be required after updating ModemManager (unless you did 'killall -TERM modem-manager').  Can you reboot again and try a few times and confirm that things work as expected?
Comment 40 Fedora Update System 2010-01-20 19:10:24 EST
ModemManager-0.3-1.git20100119.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0847
Comment 41 Igor Bukanov 2010-01-22 03:36:57 EST
(In reply to comment #39)
> Ok, so after reboot it works?  I'd expect a reboot to be required after
> updating ModemManager (unless you did 'killall -TERM modem-manager').  Can you
> reboot again and try a few times and confirm that things work as expected?    

I could not reproduce that bug. I have tried several reboots, suspends, removing/inserting the modem at arbitrary moments, but so far everything just works and nm-applet consistently shows a single entry for the modem. Also, even if I try to connect before the modem finds its net, the network manager properly waits.
Comment 42 Igor Bukanov 2010-01-22 17:37:35 EST
When testing after deleting all NetworkManager related data from my account I have found another bug. The new CDMA connection wizard does not fill the default username and password for SkyLink operator in Moscow, Russia. Just phone number (#777) is properly filled while username and password are kept blank instead of default username=mobile password=internet. Then the NetworkManager just terminates *without* prompting for username and password. I consider this as a bug as the user should be prompted on the wrong username/password pair.

Here is a relevant modem-manager --debug output:

** Message: (ttyUSB0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2000): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:2000): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2000): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:2000): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2000): DEBUG: Got failure code 100: Unknown error

** (modem-manager:2000): WARNING **: Your CDMA modem does not support +CMEE command
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:2000): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:2000): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2000): DEBUG: (ttyUSB0): --> 'AT*STATE?<CR>'
** (modem-manager:2000): DEBUG: (ttyUSB0): <-- '<CR><LF>*STATE:160,0,0,0,1,-106,-31,-64,+0,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2000): DEBUG: (ttyUSB0): --> 'AT*HSTATE?<CR>'
** (modem-manager:2000): DEBUG: (ttyUSB0): <-- '<CR><LF>*HSTATE:3,4,160,255,-3,-47,-64,+0,0,-106<CR><LF><CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> connecting)
** (modem-manager:2000): DEBUG: (ttyUSB0): --> 'ATDT#777<CR>'
** (modem-manager:2000): DEBUG: (ttyUSB0): <-- '<CR><LF>CONNECT<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connecting -> connected)
** (modem-manager:2000): DEBUG: (ttyUSB0): <-- '~\-1}#\-64!}!}!} }5}"}&} } } } }#}%\-62#}%}%}&1\-128`\-82\-21\-125~'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
** (modem-manager:2000): DEBUG: (ttyUSB0): <-- '<CR><LF>NO CARRIER<CR><LF>'
** (modem-manager:2000): DEBUG: Got failure code 3: No carrier
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> disabling)
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabling -> disconnecting)
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> registered)
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> disabling)
** Message: (ttyUSB0) closing serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabling -> disabled)


After I filled manually that mobile/internet pair in the properties dialog for the connection everything has started to work.
Comment 43 Vassily Gavrilyak 2010-01-25 05:39:56 EST
(In reply to comment #36)
> Miroslav/Vassily, do the above RPMs work for you?    

Two guys on forum ( ADU-300A and ADU-500A modems) reported that modem works now. Thank you, Dan!
Comment 44 Dan Williams 2010-01-26 02:27:51 EST
(In reply to comment #42)
> When testing after deleting all NetworkManager related data from my account I
> have found another bug. The new CDMA connection wizard does not fill the
> default username and password for SkyLink operator in Moscow, Russia. Just
> phone number (#777) is properly filled while username and password are kept
> blank instead of default username=mobile password=internet. Then the
> NetworkManager just terminates *without* prompting for username and password. I
> consider this as a bug as the user should be prompted on the wrong
> username/password pair.

This is probably a bug in the mobile broadband provider info.  I deleted the username/password pairs becuase *most* of the time they aren't required, and also because the existing password was specific to SkyLink Moscow and I was not sure if it would work for all the other SkyLink locations.  Does it?  What should the username/password be for all SkyLink users?  I can certainly add them back into the provider info.

At this point we don't get enough information out of pppd to know that the username/password failed.  I just may not have looked hard enough, but even if we do that isn't hooked up yet.  pppd plugins are pretty simple unfortunately.
Comment 45 Karel P. 2010-02-05 05:31:37 EST
I have got also AnyData modem, ADU-300H, lsusb gives the following identification

  Bus 004 Device 008: ID 16d5:6501 AnyDATA Corporation CDMA 2000 1xRTT/EV-DO Modem

but it seems that it does not understand AT*STATE command so I am not able to connect using ModemManager-0.3-1.git20100119.fc12. Here is some minicom output

OPTIONS: I18n 
Compiled on Jul 26 2009, 22:02:36.
Port /dev/ttyUSB0

                 Press CTRL-A Z for help on special keys        
                                                                
AT S7=45 S0=0 L1 V1 X4 &c1 E1 Q0                                
OK                                                              
at*state?                                                       
ERROR
at*state
ERROR
at*hstate?
ERROR
at*hstate
ERROR

at&v
&C: 1; &D: 2; &F: 0; E: 1; L: 1; M: 0; Q: 0; V: 1; X: 4; Z: 0; S0: 0;
S3: 13; S4: 10; S5: 8; S6: 2; S7: 45; S8: 2; S9: 6; S10: 14; S11: 95;
+FCLASS: 0; +ICF: 3,3; +IFC: 2,2; +IPR: 115200; +DR: 0; +DS: 0,0,2048,6;
+CDR: 0; +CDS: 0,1,2048,6; +CFC: 0; +CFG: ""; +CMUX: C,2; +CQD: 10;
+CRC: 0; +CRM: 0; +CTA: 0; +CXT: 0; +EB: 1,0,30; +EFCS: 1; +ER: 0;
+ES: 3,0,2; +ESR: 1; +ETBM: 1,1,20; +ILRR: 0; +MA: ; +MR: 0; +MS: ;
+MV18R: 0; +MV18S: 0,0,0; +FAA: 0; +FAP: 0,0,0; +FBO: 0; +FBU: 0;
+FCQ: 1,0; +FCC: 0,1,0,0,0,0,0,0;  +FCR: 0; +FCT: 1E; +FEA: 0;
+FFC: 0,0,0,0; +FHS: 0; +FIE: 0; +FIP: 0; +FIS: 0,1,0,0,0,0,0,0;
+FLI: ""; +FLO: 1; +FLP: 0; +FMS: 0; +FNR: 0,0,0,0; +FNS: ""; +FPA: "";
+FPI: ""; +FPP: 0; +FPR: 8; +FPS: 1; +FPW: ""; +FRQ: 0,0; +FRY: 0;
+FSA: ""; +FSP: 0

OK

ati
Manufacturer: AnyDATA CORPORATION
Model: 154
Revision: U30ICE04  1  [Mar 06 2006 21:00:00]
ESN: 0x6C251F77
+GCAP: +CIS707-A, CIS-856, +MS, +ES, +DS, +FCLASS

OK


and ModemManager-0.3-1.git20100119.fc12 debug log looks like this

** Message: (ttyUSB0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:4438): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:4438): DEBUG: (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1'
** (modem-manager:4438): DEBUG: (ttyUSB0): <-- '<CR>'
** (modem-manager:4438): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:4438): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:4438): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:4438): DEBUG: Got failure code 100: Unknown error

** (modem-manager:4438): WARNING **: Your CDMA modem does not support +CMEE command
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:4438): DEBUG: (ttyUSB0): --> 'AT+CAD?<CR>'
** (modem-manager:4438): DEBUG: (ttyUSB0): <-- '<CR><LF>1<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:4438): DEBUG: (ttyUSB0): --> 'AT*STATE?<CR>'
** (modem-manager:4438): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:4438): DEBUG: Got failure code 100: Unknown error
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> disabling)
** Message: (ttyUSB0) closing serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabling -> disabled)


I can connect using pppd, but not using NetworkManager + ModemManager.
Comment 46 Fedora Update System 2010-02-05 19:07:39 EST
ModemManager-0.3-1.git20100119.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 47 Stanislav Hanzhin 2010-02-26 09:12:41 EST
Dead again after some update...
ModemManager-0.3-1.git20100119.fc12.i686
NetworkManager-0.7.997-2.git20091214.fc12.i686
Comment 48 Stanislav Hanzhin 2010-02-26 09:17:04 EST
(In reply to comment #47)
> Dead again after some update...
> ModemManager-0.3-1.git20100119.fc12.i686
> NetworkManager-0.7.997-2.git20091214.fc12.i686 
Same results with 0.3-2 from testing
Comment 49 Stanislav Hanzhin 2010-02-26 09:21:14 EST
But works with NetworkManager-0.7.998-2 from testing...

Note You need to log in before you can comment on or make changes to this bug.